oracle.jdbc

## Interface OracleTypeMetaData.Struct

All Superinterfaces:
  OracleTypeMetaData

All Known Implementing Classes:
  StructDescriptor

Enclosing interface:
  OracleTypeMetaData

    public static interface OracleTypeMetaData.Struct
    extends OracleTypeMetaData

This nested interface defines additional methods for struct types

### Nested Class Summary

### Nested classes/interfaces inherited from interface oracle.jdbc.OracleTypeMetaData

`OracleTypeMetaData.Array, OracleTypeMetaData.ArrayStorage, OracleTypeMetaData.Kind, OracleTypeMetaData.Opaque, OracleTypeMetaData.Struct`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getLength()` The number of fields in the Object Type.
`int` `getLocalAttributeCount()` Returns the number of attributes defined in the subtype.
`ResultSetMetaData` `getMetaData()` Gets the metadata regarding this type.
`String[]` `getSubtypeNames()` Returns the SQL type names of the direct subtypes.
`String` `getSupertypeName()` Returns the SQL type name of the direct subtype.
`int` `getTypeVersion()`
`boolean` `isFinalType()` Indicates whether the object type is a final type.
`boolean` `isInstantiable()` Indicates whether the object type is instantiable.
`boolean` `isSubtype()` Indicates whether the object type is a subtype.

### Methods inherited from interface oracle.jdbc.OracleTypeMetaData

`getKind, getName, getSchemaName, getSQLName, getTypeCode, getTypeCodeName`

### Method Detail

#### getTypeVersion

    int getTypeVersion()
                throws SQLException

Throws:
  `SQLException`

#### getLength

    int getLength()
           throws SQLException

The number of fields in the Object Type.

Returns:
  the size.
Throws:
  `SQLException`

#### getMetaData

    ResultSetMetaData getMetaData()
                           throws SQLException

Gets the metadata regarding this type. The return ResultSetMetaData contains the attribute name, attribute type id and attribute type precision information. The column index in ResultSetMetaData maps to the position of the attribute in a Struct (with the first attribute being at index 1).

Returns:
  a ResultSetMetaData object that contains the type info
Throws:
  `if` - database access error occurs
  `SQLException`

#### isFinalType

    boolean isFinalType()
                 throws SQLException

Indicates whether the object type is a final type.

Returns:
  true if the object type is a final type and false otherwise.
Throws:
  `SQLException`

#### isSubtype

    boolean isSubtype()
               throws SQLException

Indicates whether the object type is a subtype.

Returns:
  true if the object type is a subtype and false otherwise.
Throws:
  `SQLException`

#### isInstantiable

    boolean isInstantiable()
                    throws SQLException

Indicates whether the object type is instantiable.

Returns:
  true if the object type is instantiable and false otherwise.
Throws:
  `SQLException`

#### getSupertypeName

    String getSupertypeName()
                     throws SQLException

Returns the SQL type name of the direct subtype.

Returns:
  the fully qualified name of the supertype. Returns null if the object type is not a subtype.
Throws:
  `SQLException`

#### getLocalAttributeCount

    int getLocalAttributeCount()
                        throws SQLException

Returns the number of attributes defined in the subtype.

Returns:
  number of subtype attributes.
Throws:
  `SQLException`

#### getSubtypeNames

    String[] getSubtypeNames()
                      throws SQLException

Returns the SQL type names of the direct subtypes.

Returns:
  the fully qualifed name of the direct subtypes. Returns an empty String array if there is no subtypes.
Throws:
  `SQLException`

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.